<?

require_once('superedit-SEF.php');
SEF('DEBUG_S');
require_once('stuff/caldav-client.php');
 //$cal = new CalDAVClient( "https://biuro.biall-net.pl:8443/principals/users/a.binder/", "a.binder", "uhuguso", "" );
  $cal = new CalDAVClient( "https://biuro.biall-net.pl:8443/calendars/__uids__/4720124D-5F20-4EAB-B501-4872E33F9A5C/calendar/", "a.binder", "uhuguso", "" );
 $options = $cal->DoOptionsRequest();
DEBUG_S(-3,'options',$options);

if ( isset($options["PROPFIND"]) ) {
   // Fetch some information about the events in that calendar
   $cal->SetDepth(1);
   $folder_xml = $cal->DoXMLRequest("PROPFIND", '<?xml version="1.0" encoding="utf-8" ?><propfind xmlns="DAV:"><prop><getcontentlength/><getcontenttype/><resourcetype/><getetag/></prop></propfind>' );
 }

DEBUG_S(-3,'folder_xml',$folder_xml);

 $events = $cal->GetEvents("20130901T000000Z","20140101T000000Z");
DEBUG_S(-3,'events',$events);
?>
